## sickle-tool 3.1.0

=== src/requirements.txt ===
keystone-engine>=0.9.2
capstone>=3.0.5
setuptools

=== debian/changelog ===
sickle-tool (3.1.0-0kali2) kali-dev; urgency=medium

  * Add new deps python3-keystone-engine

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Jan 2025 12:17:15 +0100

sickle-tool (3.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.0
  * Refresh patch
  * Adapt debian/rules for the new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 14:45:10 +0100

sickle-tool (2.1-0kali1) kali-dev; urgency=medium

  * Update Vcs-* fields
  * New upstream version 2.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 May 2024 11:41:26 +0200

sickle-tool (2.0.2+git20200804.e14c0bb-0kali1) kali-dev; urgency=medium

  [ Arslan Masood ]
  * Initial release

  [ Sophie Brun ]
  * Adapt packaging to rename the package
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 12:12:43 +0200

=== debian/control ===
Source: sickle-tool
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-capstone,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/wetw0rk/Sickle
Vcs-Browser: https://gitlab.com/kalilinux/packages/sickle-tool
Vcs-Git: https://gitlab.com/kalilinux/packages/sickle-tool.git

Package: sickle-tool
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-capstone,
 python3-keystone-engine,
Description: Payload development tool
 Sickle is a payload development tool originally created to aid in crafting
 shellcode, however it can be used in crafting payloads for other exploit
 types as well (non-binary). Although the current modules are mostly aimed
 towards assembly this tool is not limited to shellcode.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = sickle-tool

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=src

=== debian/tests/control ===
Test-command: sickle-tool -h
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sickle-$1\.tar\.gz/ \
  https://github.com/wetw0rk/Sickle/tags .*/v?(\d\S+)\.tar\.gz

## sickle-tool 4.1.1

=== debian/changelog ===
sickle-tool (4.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.1.1
  * Refresh patches
  * Update autopkgtest for the new upstream release
  * Bump Standards-Version to 4.7.3
  * Update lintian-overrides
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 14:40:41 +0100

sickle-tool (4.1.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update my email
  * New upstream version 4.1.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 08 Jan 2026 16:43:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-capstone,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/wetw0rk/Sickle
 Vcs-Browser: https://gitlab.com/kalilinux/packages/sickle-tool
 Vcs-Git: https://gitlab.com/kalilinux/packages/sickle-tool.git

=== debian/tests/control ===
Test-command: sickle-pdk -h
Restrictions: superficial

=== debian/watch ===
Version: 5
Template: Github
Dist: https://github.com/wetw0rk/Sickle
